@import "../../../styles/variables.scss";

$default-padding: 16px;

.slider {
  padding: 0 0 20px 20px;
  padding-top: 0;

  .swiper-wrapper {
    align-items: flex-end;
  }
  .swiper-slide {
    cursor: pointer;
  }
  .swiper-slide-active {
    .card {
      width: 310px;
      height: 260px;
    }
  }

  .card {
    background-color: $white-01;
    display: flex;
    flex-direction: column;
    padding: $default-padding;
    width: 300px;
    height: 250px;
    -webkit-transition: width 0.5s, height 0.5s;
    transition: width 0.5s, height 0.5s;

    .card-content {
      display: flex;
      align-items: stretch;
      position: relative;
      flex: 1;
      padding-bottom: $default-padding;

      > div:nth-child(1) {
        position: relative;
        width: 200px;
        .image-container {
          position: absolute;
          top: 0;
          bottom: 0;
          width: 100%;
          overflow: hidden;
          img {
            width: 100%;
            height: auto;
          }
        }
      }

      > div:nth-child(2) {
        display: flex;
        flex-direction: column;
        justify-content: space-between;
        padding-left: $default-padding;

        .card-title {
          margin: 5px 0;
        }

        .card-caption {
          text-transform: uppercase;
          color: $grey-02;
          font-size: 0.75rem;
          letter-spacing: 1px;
        }

        .card-price {
          margin: 0;
        }

        .card-msg {
          color: $grey-02;
          margin: 0;
          font-size: 0.75rem;
        }
      }
    }

    button {
      height: 40px;
      background-color: $orange;
      color: $white-02;
      font-weight: bold;
      border: none;

      &:disabled {
        opacity: 0.5;
      }
      &:enabled:hover {
        background-image: linear-gradient(rgb(0 0 0/20%) 0 0);
      }
    }
  }
}
